SORCERY(8)

NAME
sorcery, xsorcery - menu-driven software package management utility

SYNOPSIS
sorcery [action]

EXAMPLE
To get your system up to date, type sorcery system-update

DESCRIPTION
sorcery is an easy-to-use menu-driven (dialog-based) interface to the sorcery source-based package management system.

OPTIONS
Note that all calls to sorcery with options are semi-interactive (prompts time out) or non-interactive, so they can be run from a cron script or something similar.

Only sorcery without options will start the menu-driven package management utility.

  -u|update
Updates the sorcery scripts only. This option is non-interactive and does not start up the menu-driven interface. It is suitable for use in cron jobs.

  -s|system-update
Perform a system update (updates sorcery, grimoire, and spells). [ sorcery update, scribe update, sorcery queue, cast --queue ]

  -g|upgrade
Update spells without first updating the grimoire. [ sorcery queue, cast --queue ]

  -q|queue
Compare installed grimoire to installed spells, generate queue of spells needing to be updated.

  queue-security
Queue spells that had updates due to security fixes.

  -r|rebuild
Automatically rebuilds all installed software packages. This option is non-interactive except for a bunch of config and depends questions the first time you run it.

  hold <spell|s>
sets <spell|s> to held. This means that they stay installed, but that cast will refuse to cast them. This will prevent them from being updated or changed at all. This might be helpful if you change kernel versions and the package won't build right on the new system, but still install (wrong).

  unhold <spell|s>
unholds <spell|s>, changes their status from held back to installed.

  exile <spell|s>
sets <spell|s> to exiled. This means that they won't be installed in any way, sorcery just ignores them.

  unexile <spell|s>
removes exiled status from <spell|s>. This means that they can be installed again.

  add-queue <spell|s>
Add spell(s) to install queue

  remove-queue <spell|s>
Remove spell(s) from install queue

  default <action> <on> <what> on|off
This is a sorcery feature to pre-answer some depends questions. They will still be asked, but they will default to what you set this to.

Generally, <on> is what spell will be used. <what> can be a spell, in that case on or off is the default answer to the "optionally depends on" question.

<what> can also be a feature name. All spells will default to use <on> as the provider for that then. If it is an optional depends, they will use nothing if set to off, and the provider if set to on.

  default add <on>|"" <what>|"" on|off
This adds a default statement to the list. Either <on> or <what> (not both) can be "", in which case they work as wildcards (anything <what> depends on / anything that depends on <on>)

  default remove|search [<on>|"" [<what>|"" [on|off]]]
These are used to search or modify the defaults list. Anything not specified or blank will be a wildcard. Everything that matches will be removed/shown.

  -v|--version
Displays the version number of your sorcery package. Always use this information when filing bugs.

  -h|--help|help
Displays a short help message.

REQUIREMENTS
While sorcery does not strictly require a connection to the Internet, it is highly recommended (for updates and especially for sources). While there are some 56k modem users, broadband is recommended too.

  Bash
version 2 or higher

  Dialog
version 0.9a or higher

  Linux
kernel version 2.4.x or 2.6.x

and a bunch of other software.

NOTES
Options on the Package Menu add or remove software packages to/from installation and removal queues. The actual installation and/or removal of the packages will not be performed until either Foreground Execution or Background Execution are selected from the main menu.

OPERATION
Navigating the Menus

To return to a previous menu press <Esc> or use the Cancel button

To exit the program from the main menu press <Esc> or use the Cancel button

To toggle between buttons press <Tab>

To select whichever button is highlighted press <Enter>

To select/deselect items from a checklist press <Space>

AUTHOR
Original version by Kyle Sallee, and updated Thomas Stewart and Karsten Behrmann.

Maintained by the Source Mage GNU Linux Team (http://www.sourcemage.org)

REPORTING BUGS
Report bugs to bugzilla <http://bugs.sourcemage.org>

SEE ALSO
alter(8), cast(8), cleanse(8), dispel(8), gaze(1), grimoire(5), scribbler(8), scribe(8), sorcery_config(8), summon(8)

WARRANTY
This is free software with ABSOLUTELY NO WARRANTY